# `BB.Error.Safety.LimitExceeded`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/safety/limit_exceeded.ex#L5)

Physical limit exceeded on a joint or actuator.

Raised when position, velocity, or torque limits are exceeded.
This is a critical safety error that triggers automatic disarm.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Safety.LimitExceeded{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  component_path: term(),
  limit_type: term(),
  limit_value: term(),
  measured_value: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  unit: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Safety.LimitExceeded` without raising it.

## Keys

- :component_path
- :limit_type
- :measured_value
- :limit_value
- :unit

---

*Consult [api-reference.md](api-reference.md) for complete listing*
